# Uses of Interface
org.apache.sling.api.request.RequestParameter

Packages that use RequestParameter
Package
Description
org.apache.sling.api
org.apache.sling.api.request
org.apache.sling.api.request.builder
org.apache.sling.api.wrappers

## Uses of RequestParameter in org.apache.sling.api

Methods in org.apache.sling.api that return RequestParameter
Modifier and Type
Method
Description
`@Nullable RequestParameter`
SlingHttpServletRequest.`getRequestParameter(@NotNull String name)`
Deprecated.
Returns the value of a request parameter as a `RequestParameter`, or `null` if the parameter does not exist.
`@Nullable RequestParameter`
SlingJakartaHttpServletRequest.`getRequestParameter(@NotNull String name)`
Returns the value of a request parameter as a `RequestParameter`, or `null` if the parameter does not exist.
`@Nullable RequestParameter[]`
SlingHttpServletRequest.`getRequestParameters(@NotNull String name)`
Deprecated.
Returns an array of `RequestParameter` objects containing all of the values the given request parameter has, or `null` if the parameter does not exist.
`@Nullable RequestParameter[]`
SlingJakartaHttpServletRequest.`getRequestParameters(@NotNull String name)`
Returns an array of `RequestParameter` objects containing all of the values the given request parameter has, or `null` if the parameter does not exist.
Methods in org.apache.sling.api that return types with arguments of type RequestParameter
Modifier and Type
Method
Description
`@NotNull List<RequestParameter>`
SlingHttpServletRequest.`getRequestParameterList()`
Deprecated.
Returns the request parameters as instances of the `RequestParameter` interface in the order or the request where the query string parameters are first and the POST request parameters are second.
`@NotNull List<RequestParameter>`
SlingJakartaHttpServletRequest.`getRequestParameterList()`
Returns the request parameters as instances of the `RequestParameter` interface in the order or the request where the query string parameters are first and the POST request parameters are second.

## Uses of RequestParameter in org.apache.sling.api.request

Methods in org.apache.sling.api.request that return RequestParameter
Modifier and Type
Method
Description
`@Nullable RequestParameter`
RequestParameterMap.`getValue(String name)`
Returns the first value for the named parameter or null if none
`@Nullable RequestParameter[]`
RequestParameterMap.`getValues(@NotNull String name)`
Returns all values for the named parameter or null if none

## Uses of RequestParameter in org.apache.sling.api.request.builder

Methods in org.apache.sling.api.request.builder that return RequestParameter
Modifier and Type
Method
Description
`static @NotNull RequestParameter`
Builders.`newRequestParameter(@NotNull String name, byte @NotNull [] value, String fileName, String contentType)`
Creates a new binary request parameter
`static @NotNull RequestParameter`
Builders.`newRequestParameter(@NotNull String name, @NotNull String value)`
Creates a new `application/x-www-form-urlencoded` request parameter with UTF-8 encoding
`static @NotNull RequestParameter`
Builders.`newRequestParameter(@NotNull String name, @NotNull String value, @NotNull Charset encoding)`
Creates a new `application/x-www-form-urlencoded` request parameter with the given encoding

## Uses of RequestParameter in org.apache.sling.api.wrappers

Methods in org.apache.sling.api.wrappers that return RequestParameter
Modifier and Type
Method
Description
`@Nullable RequestParameter`
JakartaToJavaxRequestWrapper.`getRequestParameter(@NotNull String name)`
`@Nullable RequestParameter`
JavaxToJakartaRequestWrapper.`getRequestParameter(@NotNull String name)`
`RequestParameter`
SlingHttpServletRequestWrapper.`getRequestParameter(String name)`
Deprecated.
`RequestParameter`
SlingJakartaHttpServletRequestWrapper.`getRequestParameter(String name)`
`@Nullable RequestParameter[]`
JakartaToJavaxRequestWrapper.`getRequestParameters(@NotNull String name)`
`@Nullable RequestParameter[]`
JavaxToJakartaRequestWrapper.`getRequestParameters(@NotNull String name)`
`RequestParameter[]`
SlingHttpServletRequestWrapper.`getRequestParameters(String name)`
Deprecated.
`RequestParameter[]`
SlingJakartaHttpServletRequestWrapper.`getRequestParameters(String name)`
Methods in org.apache.sling.api.wrappers that return types with arguments of type RequestParameter
Modifier and Type
Method
Description
`@NotNull List<RequestParameter>`
JakartaToJavaxRequestWrapper.`getRequestParameterList()`
`@NotNull List<RequestParameter>`
JavaxToJakartaRequestWrapper.`getRequestParameterList()`
`List<RequestParameter>`
SlingHttpServletRequestWrapper.`getRequestParameterList()`
Deprecated.
`List<RequestParameter>`
SlingJakartaHttpServletRequestWrapper.`getRequestParameterList()`